layui.extend({
    common    :   'js/common'
}).use(['table', 'jquery','layer','common','form','util','laydate'], function () {
    //  Jquery插件
    var $ = layui.jquery;
    //  引入公共模块
    var common = layui.common;
    //  引入表格
    var table = layui.table;
    //引入表单
    var form = layui.form;
    // 查询框表单
    var $node = {
        //手机号
        telInput  :  $('input[name="tel"]'),
    };

    var layuiTable=common.layuiTable.render(table,{
        elem: '#table-id'
        ,url: '/permissions/sms/showSmsList'
        ,cellMinWidth: 80//全局定义常规单元格的最小宽度，
        , cols: [[
            { field: 'tel', title: '手机号',align: 'center'}
            ,{ field: 'content', title: '短信内容',align: 'center' }
            ,{ field: 'createDate', title: '创建时间',align: 'center' }
        ]]
        //  开启分页功能
        , page: true
    });


    //  重新加载表格
    var reloadTable = function(obj){
        //重新加载表格
        layuiTable.reload({
            where:{
                tel  :  $node.telInput.val()
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            },
            initSort:obj
        });
    };

    //监听搜索
    form.on('submit(query)', function(){
        reloadTable();
    });

    //监听重置查询
    form.on('submit(reset)', function(){
        $node.telInput.val('');
        reloadTable();
    });


});